package cn.com.poc.ai_bi.service;

import cn.com.poc.ai_bi.entity.BizAiBiExampleEntity;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizAiBiExampleService extends BaseService {

    BizAiBiExampleEntity get(java.lang.Long id) throws Exception;

    List<BizAiBiExampleEntity> findByExample(BizAiBiExampleEntity example, PagingInfo pagingInfo) throws Exception;
    
    BizAiBiExampleEntity save(BizAiBiExampleEntity entity) throws Exception;

    BizAiBiExampleEntity update(BizAiBiExampleEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}